Bug Hunting Session
Bug 103311 - Tools -> Mail Merge Wizard can't insert anything
Summary: Tools -> Mail Merge Wizard can't insert anything
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.0.0 target:5.4.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2016-10-18 12:28 UTC by Tomoo Nomura
Modified: 2017-11-29 09:05 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
test database (7.72 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-10-18 12:28 UTC, Tomoo Nomura
Details
sample template document (7.98 KB, application/vnd.oasis.opendocument.text)
2016-10-18 12:29 UTC, Tomoo Nomura
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomoo Nomura 2016-10-18 12:28:05 UTC
Created attachment 128056 [details]
test database

Mail Merge Wizard can't progress after 4.Create salutation.
When click "NEXT" in 4.Create salutation step, nothing occur. There may be no inserted document.
Varsion 5.1.5.1 rc works fine with the same data.

How to reproduce:
1. open test1.odt with Writer
2. select Tool->Mail Merge Wizard
3. at Insert address blosk, choose test1.ods
4.click "NEXT"
5. click "NEXT" at Create salutation
 ..... nothing happen
Comment 1 Tomoo Nomura 2016-10-18 12:29:40 UTC
Created attachment 128057 [details]
sample template document
Comment 2 Julien Nabet 2016-10-18 19:16:39 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

At step 3, I noticed on console these logs:
warn:sc:3501:1:sc/source/filter/orcus/orcusfiltersimpl.cxx:163: Unable to load styles from xml file! failed to load 
warn:dbaccess.core:3501:1:dbaccess/source/core/api/RowSetCache.cxx:134: ORowSetCache: exception: The result set is read-only.
warn:dbaccess.core:3501:1:dbaccess/source/core/api/RowSetCache.cxx:134: ORowSetCache: exception: The result set is read-only.

At step 4, I noticed on console these logs:
warn:vcl:3501:1:vcl/source/window/builder.cxx:220: missing either source femalecolft or target fieldname member of Mnemonic Widget Mapping
warn:vcl:3501:1:vcl/source/window/builder.cxx:220: missing either source femalefieldft or target fieldvalue member of Mnemonic Widget Mapping

Jan-Marek: knowing your work on MM, thought you might be interested in this one.
Comment 3 Jan-Marek Glogowski 2016-10-19 12:44:00 UTC
I just added the bug to the mail merge meta one.
Comment 4 Cor Nouws 2016-10-27 10:59:22 UTC
isn't this bug 98799 ?
Comment 5 raal 2016-11-16 17:10:22 UTC
This seems to have begun at the below commit.
Adding Cc: to Jan Holesovsky; Could you possibly take a look at this one? Thanks

bc26135aef7778e79bc4842e3c11ee59dcc39274 is the first bad commit
commit bc26135aef7778e79bc4842e3c11ee59dcc39274
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sat Mar 19 13:54:28 2016 -0700

    source sha:0b04f0d9666c7193ebf3309c1d8f6a235fed2f2b

author	Jan Holesovsky <kendy@collabora.com>	2016-01-05 09:18:56 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-03-18 08:13:56 (GMT)
commit	0b04f0d9666c7193ebf3309c1d8f6a235fed2f2b (patch)
tree	8ae0aa01f80f4eb10f7e2fba0b35f56d2b093043
parent	c55b3849a825ca0e00c48db91251f69205323bda (diff)
mailmerge: Remove "Edit document" page, fuctionality available via toolbar.

git bisect log
# bad: [6380ca07b05f68dedcaa379302cfe1fa478571c4] source sha:60b74fe1775e647545d2da1fcc58a4c63ec18aa5
# good: [1f670510f08cb800cbae2a1dd6ea70d3542e4721] source sha:49c2b9808df8a6b197dec666dfc0cda6321a4306
git bisect start 'origin/master' 'oldest'
# good: [38f37b8ec1a2d199bb957cfd2581df7d1b273b74] source sha:c0da1080b61a1d51654fc34fdaeba373226065ff
git bisect good 38f37b8ec1a2d199bb957cfd2581df7d1b273b74
# bad: [11ae494d8c566f23e0ef84ba0cc25fb1388b67f7] source sha:470cfa9860232ab70e017e6084d80f80d469555c
git bisect bad 11ae494d8c566f23e0ef84ba0cc25fb1388b67f7
# good: [d247d25062e6cc4afccdc3c4be84a2b98523b36a] source sha:150c1dcab007dd8acc1551791f42eef692f9e531
git bisect good d247d25062e6cc4afccdc3c4be84a2b98523b36a
# bad: [812f064e57b17d51c4e0804fb39e13f0e0661ff2] source sha:8d123bf1491bcc7415f4dde3ddd397a11146bb38
git bisect bad 812f064e57b17d51c4e0804fb39e13f0e0661ff2
# bad: [c649da763f4116e21b0cef91c706ea7bb73c25bc] source sha:402572e25c0c9eb1f01c928f2ae422ab62a55ba1
git bisect bad c649da763f4116e21b0cef91c706ea7bb73c25bc
# bad: [6385f32c4d21ac0c3e30fe0378f2de0a954f323e] source sha:157c60a7077098bb9b142e825fee8bec18d015db
git bisect bad 6385f32c4d21ac0c3e30fe0378f2de0a954f323e
# good: [7ebfacc3c2901fe4b9477bac79c89f8971197d43] source sha:783ffaefacac42e39758f27647b6971af0de1d73
git bisect good 7ebfacc3c2901fe4b9477bac79c89f8971197d43
# bad: [29abee8db4248d7cf2ae72bcf9f8739cc39d39fb] source sha:64e542413851236c75e25185c137d6fd6ddfe3a1
git bisect bad 29abee8db4248d7cf2ae72bcf9f8739cc39d39fb
# bad: [52e3944e2a1831d8e6d481272019f63d24417030] source sha:77068aa0f83f526ab115c183e02e3aa8c7bf1967
git bisect bad 52e3944e2a1831d8e6d481272019f63d24417030
# bad: [bc26135aef7778e79bc4842e3c11ee59dcc39274] source sha:0b04f0d9666c7193ebf3309c1d8f6a235fed2f2b
git bisect bad bc26135aef7778e79bc4842e3c11ee59dcc39274
# good: [71e663dc20f18765f4c713cbdbc0f2a95005dc5d] source sha:2881c93eeeb4f60af1f0b73c4e6d651702fa9826
git bisect good 71e663dc20f18765f4c713cbdbc0f2a95005dc5d
# good: [7d10fb74fb386891ea9771e22a9390ca1459351a] source sha:16e248bec76f2c1587383d26581ecc8241c755f8
git bisect good 7d10fb74fb386891ea9771e22a9390ca1459351a
# good: [5dddec6d6e32059de528b1c91b4d9f25656caa97] source sha:c55b3849a825ca0e00c48db91251f69205323bda
git bisect good 5dddec6d6e32059de528b1c91b4d9f25656caa97
# first bad commit: [bc26135aef7778e79bc4842e3c11ee59dcc39274] source sha:0b04f0d9666c7193ebf3309c1d8f6a235fed2f2b
Comment 6 worms 2017-02-15 21:20:40 UTC
Hello
Is there any evolution on this bug
I have the same problem with the curent official version 5.2.5.1
an odt file with fields taken in an ods file
mailing merge works quit well with libreoffice  5.1.6 version, not with 5.2.5.1

regards

F.worms
Comment 7 Gabor Kelemen 2017-06-08 05:27:33 UTC
It is important to know that the 5th step is only visible if you created either an address block in the 3rd step or a salutation in the 4th.
If you did none of these - as it is not mentioned above - it's perfectly fine that you can not progress to the Adjust layout step, where you could adjust the layout of the address block and the salutation.

The problem I see in this case is that the Next button does not get disabled on the 4th page, only the Adjust layout item is disabled on the left side list.

About comment #2 :
warn:vcl:3501:1:vcl/source/window/builder.cxx:220: missing either source femalecolft or target fieldname member of Mnemonic Widget Mapping
warn:vcl:3501:1:vcl/source/window/builder.cxx:220: missing either source femalefieldft or target fieldvalue member of Mnemonic Widget Mapping

These are unrelated and already fixed in 21d3d7f388ff8128aca65cb88b309a822c1528a1
Comment 8 Commit Notification 2017-06-12 11:03:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90e83ba599cfe4872d9adfc6b4984b03e635f757

tdf#103311 Conditionally disable Next button on MM Wizard page 4

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-06-14 08:09:49 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebab6db52928250fe98420e97d72d08e3b5c309e&h=libreoffice-5-4

tdf#103311 Conditionally disable Next button on MM Wizard page 4

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 morvan 2017-11-29 01:18:25 UTC
Hi. I tested 6.0B1 and it seems a regression, to me too. I can not leap Pass 3. I even not have tested it via GDB, cause it seems an old regression. See Bug #108825, please.